Last Comment Bug 743287 - We need to back PDF.js out of FF14 once it's merged to mozilla-aurora on 4/24
: We need to back PDF.js out of FF14 once it's merged to mozilla-aurora on 4/24
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: PDF Viewer (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 753533
  Show dependency treegraph
 
Reported: 2012-04-06 10:54 PDT by Alex Keybl [:akeybl]
Modified: 2012-06-26 07:25 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
patch (2.40 KB, patch)
2012-04-25 06:50 PDT, Dave Townsend [:mossop]
dtownsend: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Review

Description Alex Keybl [:akeybl] 2012-04-06 10:54:56 PDT
We need to back PDF.js out of FF14 once it's merged to mozilla-aurora on 4/24. As discussed in the channel meeting, we can't simply disable a preference because the PDF.js XPI always triggers the 'do you want to install this add-on' screen.
Comment 1 Brendan Dahl [:bdahl] 2012-04-12 14:40:28 PDT
Would you prefer us to add a flag so the extension is only only built for nightly? That would be what similar to what test-pilot does, but they only build for aurora and beta.
Comment 2 Alex Keybl [:akeybl] 2012-04-12 15:30:38 PDT
(In reply to Brendan Dahl from comment #1)
> Would you prefer us to add a flag so the extension is only only built for
> nightly? That would be what similar to what test-pilot does, but they only
> build for aurora and beta.

If that's simple to implement, it seems this would be the lowest touch way of preventing PDF.js from moving up to Aurora. This would be an especially good idea if we're not confident that it'll be ready for the 6/5 uplift either.
Comment 3 Dave Townsend [:mossop] 2012-04-24 12:52:42 PDT
The flag makes sense for test pilot as we plan to never ship it in nightly/release builds. In this case I wouldn't overthink it and I'd just remove the bits from the makefile that cause us to package pdf.js.
Comment 4 Dave Townsend [:mossop] 2012-04-24 13:11:41 PDT
I guess I just remembered that we also have to added it to removed-filed and remove it from the packaging manifest, so not quite as simple as I thought
Comment 5 Dave Townsend [:mossop] 2012-04-25 06:50:36 PDT
Created attachment 618238 [details] [diff] [review]
patch

robstrong reviewed this over my shoulder. It's gone through try as well, just needs approvals.
Comment 6 Dave Townsend [:mossop] 2012-04-25 08:04:48 PDT
Landed: https://hg.mozilla.org/releases/mozilla-aurora/rev/50ff48cd1ff3
Comment 7 Alex Keybl [:akeybl] 2012-04-25 09:00:59 PDT
(In reply to Dave Townsend (:Mossop) from comment #6)
> Landed: https://hg.mozilla.org/releases/mozilla-aurora/rev/50ff48cd1ff3

Thanks for the fast turnaround! :)
Comment 8 Mihaela Velimiroviciu (:mihaelav) 2012-06-26 07:25:05 PDT
Verified that PDF Viewer is not available in Firefox 14.0:
Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0

Note You need to log in before you can comment on or make changes to this bug.